function(add_dune_ipopt_flags _targets)
  if(IPOPT_FOUND)
    cmake_parse_arguments(ADD_DUNE_IPOPT_FLAGS "OBJECT" "" "" ${ARGN})
    foreach(_target ${_targets})
      get_target_property(_props ${_target} COMPILE_FLAGS)
      string(REPLACE "_props-NOTFOUND" "" _props "${_props}")
      set_target_properties(${_target} PROPERTIES COMPILE_FLAGS
          "${_props} ${DUNE_IPOPT_CFLAGS}")
      if(NOT ADD_DUNE_IPOPT_FLAGS_OBJECT)
        target_link_libraries(${_target} ${IPOPT_LIBRARY})
      endif()
    endforeach(_target ${_targets})
  endif(IPOPT_FOUND)
endfunction(add_dune_ipopt_flags)
